Subject: Re: [SWIPL] Newbie question

From: Paul Singleton <[email-masked]>
Date: Wed, 28 Feb 2001 18:14:16 +0000

Jan Wielemaker wrote:

> On Wed, 28 Feb 2001, João Mariz wrote:
> >
> >Is there a way of sending those warnnings that may appear when we
> >download a file with consult/1 predicate, to a file on the hard-disk?
> >...

> Depends a bit what you want.  If you simply want to store the session
> for later reference, use protocol/1.  If you want to redirect the
> error stream in general, you can do:
> 
>         open(myfile, write, Stream),
>         set_stream(Stream, alias(user_error)),
>         ...

I'm calling LIBPL.DLL from a Visual Basic program (or object); could I
set up a socket between VB and Prolog, and send user_output and user_error
to VB?

Paul Singleton
-- 
 _  _  Paul Singleton PhD CEng MBCS      tel:  01782 618379 (UK)
|_)(_` SmartArts Computing Consultancy   tel:  +44 1782 618379
|  ._) 36 Larchwood, Keele,            email:  [email-masked]
       Newcastle, Staffs  ST5 5BB  UK   road:  UK M6 J15 -> Keele Uni.